function [beta se R2]=REG_NW_mv(y,x,lags)

beta=inv(x'*x)*x'*y; 

[T Tn]=size(y); 
R2=var(x*beta)/var(y); 
K=4; 
u=y-x*beta; 

z=[u.*x(:,1) u.*x(:,2) u.*x(:,3) u.*x(:,4)]; 

Omega=z'*z/T; 

if lags>0
for i=1:lags; 
zz=z(i+1:T,:)'*z(1:T-i,:)/T; 
Omega=Omega+(1-i/(lags+1))*(zz+zz');
end; 
end; 

se=T*inv(x'*x)*Omega*inv(x'*x); 



