
function data=BY_TS(obs)

months=obs+120+14; 


gamm=10; 
psi=1.5; 
delta=.998;
mu=.0015; 
rho=.979; 
psi_e=.044; 
sig=.0078; 
v_1=.987; 
sig_w=.0000023; 

sig_2=sig^2;
theta=(1-gamm)/(1-1/psi); 

zb=6; 
i=0; 

while i<=1000; 
k_1= (exp(zb)/(1+exp(zb))); 
k_0= (log(1+exp(zb))-zb*exp(zb)/(1+exp(zb)));
A_1=((1-1/psi)/(1-k_1*rho));
A_2=(0.5*((theta-theta/psi)^2+(theta*A_1*k_1*psi_e)^2)/(theta*(1-k_1*v_1)));
A_0=(log(delta)+k_0+mu*(1-1/psi)+k_1*A_2*sig_2*(1-v_1)+0.5*theta*((k_1*A_2*sig_w)^2))/(1-k_1);
zb=A_0+A_2*sig_2; 
i=i+1; 
end; 

lamda_mn=gamm;
lamda_me=(1-theta)*k_1*A_1*psi_e;
lamda_mw=(1-theta)*A_2*k_1;
B=k_1*A_1*psi_e; 


A_1f=1/psi; 
A_0f=-log(delta)+(1/psi)*mu+((1-theta)/theta)*(k_1*A_2*lamda_mw*(sig_w^2)-.5*((A_2*k_1)^2)*(sig_w^2))-(1/(2*theta))*(lamda_mw^2)*(sig_w^2); 
A_2f=((1-theta)/theta)*(lamda_mn+lamda_me*B-.5*(1+B^2))-(1/(2*theta))*(lamda_mn^2+lamda_me^2);  


sigma_2t=zeros(months,1);
x_t1=zeros(months,1);
rf_t1=zeros(months,1);


ret3m=zeros(months,1);
ret6m=zeros(months,1);
ret1y=zeros(months,1);
ret2y=zeros(months,1);
ret5y=zeros(months,1);
ret10y=zeros(months,1);
ret20y=zeros(months,1);
ret30y=zeros(months,1);

y3m=zeros(months,1);
y6m=zeros(months,1);
y1y=zeros(months,1);
y2y=zeros(months,1);
y5y=zeros(months,1); 
y10y=zeros(months,1);
y20y=zeros(months,1);
y30y=zeros(months,1);


wt1=randn(months, 1);
et1=randn(months, 1);


n=360; 
affine=zeros(n,3); 

affine(1,1)=-theta*log(delta)+gamm*mu+(1-theta)*(k_0+A_0*(k_1-1)+sig_2*A_2*k_1*(1-v_1))-.5*((theta-1)*k_1*A_2*sig_w)^2;
affine(1,2)=1/psi; 
affine(1,3)=-.5*(gamm^2+((theta-1)*k_1*A_1*psi_e)^2)+(1-theta)*A_2*(k_1*v_1-1); 

for i=2:n; 

affine(i,1)=affine(i-1,1)-theta*log(delta)+gamm*mu+(1-theta)*(k_0+A_0*(k_1-1)+sig_2*A_2*k_1*(1-v_1))-.5*(sig_w^2)*((theta-1)*k_1*A_2-affine(i-1,3))^2+affine(i-1,3)*sig_2*(1-v_1); 
affine(i,2)=affine(i-1,2)*rho+1/psi; 
affine(i,3)=affine(i-1,3)*v_1-.5*(gamm^2)+(1-theta)*A_2*(k_1*v_1-1)-.5*(psi_e^2)*((theta-1)*k_1*A_1-affine(i-1,2))^2; 
end; 



sigma_2t(1,1)=sig_2;
for i=2:months;
sigma_2t(i,1)=sig_2+v_1*(sigma_2t(i-1,1)-sig_2)+sig_w*wt1(i,1);
if sigma_2t(i,1)<=0; 
sigma_2t(i,1)=.0000000000001; 
end; 
x_t1(i,1)=rho*x_t1(i-1,1)+psi_e*((sigma_2t(i-1,1))^.5)*et1(i,1);
end;


for i=3:months; 
rf_t1(i,1)=A_0f+A_1f*x_t1(i-1,1)+A_2f*sigma_2t(i-1,1); 

ret3m(i,1)=-affine(2,1)-affine(2,2)*x_t1(i,1)-affine(2,3)*sigma_2t(i,1)+affine(3,1)+affine(3,2)*x_t1(i-1,1)+affine(3,3)*sigma_2t(i-1,1);
ret6m(i,1)=-affine(5,1)-affine(5,2)*x_t1(i,1)-affine(5,3)*sigma_2t(i,1)+affine(6,1)+affine(6,2)*x_t1(i-1,1)+affine(6,3)*sigma_2t(i-1,1);
ret1y(i,1)=-affine(11,1)-affine(11,2)*x_t1(i,1)-affine(11,3)*sigma_2t(i,1)+affine(12,1)+affine(12,2)*x_t1(i-1,1)+affine(12,3)*sigma_2t(i-1,1);
ret2y(i,1)=-affine(23,1)-affine(23,2)*x_t1(i,1)-affine(23,3)*sigma_2t(i,1)+affine(24,1)+affine(24,2)*x_t1(i-1,1)+affine(24,3)*sigma_2t(i-1,1);
ret5y(i,1)=-affine(59,1)-affine(59,2)*x_t1(i,1)-affine(59,3)*sigma_2t(i,1)+affine(60,1)+affine(60,2)*x_t1(i-1,1)+affine(60,3)*sigma_2t(i-1,1);
ret10y(i,1)=-affine(119,1)-affine(119,2)*x_t1(i,1)-affine(119,3)*sigma_2t(i,1)+affine(120,1)+affine(120,2)*x_t1(i-1,1)+affine(120,3)*sigma_2t(i-1,1);
ret20y(i,1)=-affine(239,1)-affine(239,2)*x_t1(i,1)-affine(239,3)*sigma_2t(i,1)+affine(240,1)+affine(240,2)*x_t1(i-1,1)+affine(240,3)*sigma_2t(i-1,1);
ret30y(i,1)=-affine(359,1)-affine(359,2)*x_t1(i,1)-affine(359,3)*sigma_2t(i,1)+affine(360,1)+affine(360,2)*x_t1(i-1,1)+affine(360,3)*sigma_2t(i-1,1);

y3m(i,1)=(affine(3,1)+affine(3,2)*x_t1(i-1,1)+affine(3,3)*sigma_2t(i-1,1))/3; 
y6m(i,1)=(affine(6,1)+affine(6,2)*x_t1(i-1,1)+affine(6,3)*sigma_2t(i-1,1))/6;  
y1y(i,1)=(affine(12,1)+affine(12,2)*x_t1(i-1,1)+affine(12,3)*sigma_2t(i-1,1))/12; 
y2y(i,1)=(affine(24,1)+affine(24,2)*x_t1(i-1,1)+affine(24,3)*sigma_2t(i-1,1))/24;
y5y(i,1)=(affine(60,1)+affine(60,2)*x_t1(i-1,1)+affine(60,3)*sigma_2t(i-1,1))/60;  
y10y(i,1)=(affine(120,1)+affine(120,2)*x_t1(i-1,1)+affine(120,3)*sigma_2t(i-1,1))/120;  
y20y(i,1)=(affine(240,1)+affine(240,2)*x_t1(i-1,1)+affine(240,3)*sigma_2t(i-1,1))/240;  
y30y(i,1)=(affine(360,1)+affine(360,2)*x_t1(i-1,1)+affine(360,3)*sigma_2t(i-1,1))/360;  



end; 

rf_t1=rf_t1(123:months,1);

ret3m=ret3m(123:months,1);
ret6m=ret6m(123:months,1);
ret1y=ret1y(123:months,1);
ret2y=ret2y(123:months,1);
ret5y=ret5y(123:months,1);
ret10y=ret10y(123:months,1);
ret20y=ret20y(123:months,1);
ret30y=ret30y(123:months,1);

y3m=y3m(123:months,1);
y6m=y6m(123:months,1);
y1y=y1y(123:months,1);
y2y=y2y(123:months,1);
y5y=y5y(123:months,1);
y10y=y10y(123:months,1);
y20y=y20y(123:months,1);
y30y=y30y(123:months,1);

lrirx=zeros((months-134)/12,1); 

r3m=zeros((months-134)/12,1); 
r6m=zeros((months-134)/12,1); 
r1y=zeros((months-134)/12,1); 
r2y=zeros((months-134)/12,1); 
r5y=zeros((months-134)/12,1); 
r10y=zeros((months-134)/12,1); 
r20y=zeros((months-134)/12,1); 
r30y=zeros((months-134)/12,1); 

for k=1:(months-134)/12;

 
r3m(k,1)=ret3m(k*12-11,1)+ret3m(k*12-10,1)+ret3m(k*12-9,1)+ret3m(k*12-8,1)+ret3m(k*12-7,1)+ret3m(k*12-6,1)+ret3m(k*12-5,1)+ret3m(k*12-4,1)+ret3m(k*12-3,1)+ret3m(k*12-2,1)+ret3m(k*12-1,1)+ret3m(k*12,1); 
r6m(k,1)=ret6m(k*12-11,1)+ret6m(k*12-10,1)+ret6m(k*12-9,1)+ret6m(k*12-8,1)+ret6m(k*12-7,1)+ret6m(k*12-6,1)+ret6m(k*12-5,1)+ret6m(k*12-4,1)+ret6m(k*12-3,1)+ret6m(k*12-2,1)+ret6m(k*12-1,1)+ret6m(k*12,1); 
r1y(k,1)=ret1y(k*12-11,1)+ret1y(k*12-10,1)+ret1y(k*12-9,1)+ret1y(k*12-8,1)+ret1y(k*12-7,1)+ret1y(k*12-6,1)+ret1y(k*12-5,1)+ret1y(k*12-4,1)+ret1y(k*12-3,1)+ret1y(k*12-2,1)+ret1y(k*12-1,1)+ret1y(k*12,1); 
r2y(k,1)=ret2y(k*12-11,1)+ret2y(k*12-10,1)+ret2y(k*12-9,1)+ret2y(k*12-8,1)+ret2y(k*12-7,1)+ret2y(k*12-6,1)+ret2y(k*12-5,1)+ret2y(k*12-4,1)+ret2y(k*12-3,1)+ret2y(k*12-2,1)+ret2y(k*12-1,1)+ret2y(k*12,1); 
r5y(k,1)=ret5y(k*12-11,1)+ret5y(k*12-10,1)+ret5y(k*12-9,1)+ret5y(k*12-8,1)+ret5y(k*12-7,1)+ret5y(k*12-6,1)+ret5y(k*12-5,1)+ret5y(k*12-4,1)+ret5y(k*12-3,1)+ret5y(k*12-2,1)+ret5y(k*12-1,1)+ret5y(k*12,1); 
r10y(k,1)=ret10y(k*12-11,1)+ret10y(k*12-10,1)+ret10y(k*12-9,1)+ret10y(k*12-8,1)+ret10y(k*12-7,1)+ret10y(k*12-6,1)+ret10y(k*12-5,1)+ret10y(k*12-4,1)+ret10y(k*12-3,1)+ret10y(k*12-2,1)+ret10y(k*12-1,1)+ret10y(k*12,1); 
r20y(k,1)=ret20y(k*12-11,1)+ret20y(k*12-10,1)+ret20y(k*12-9,1)+ret20y(k*12-8,1)+ret20y(k*12-7,1)+ret20y(k*12-6,1)+ret20y(k*12-5,1)+ret20y(k*12-4,1)+ret20y(k*12-3,1)+ret20y(k*12-2,1)+ret20y(k*12-1,1)+ret20y(k*12,1); 
r30y(k,1)=ret30y(k*12-11,1)+ret30y(k*12-10,1)+ret30y(k*12-9,1)+ret30y(k*12-8,1)+ret30y(k*12-7,1)+ret30y(k*12-6,1)+ret30y(k*12-5,1)+ret30y(k*12-4,1)+ret30y(k*12-3,1)+ret30y(k*12-2,1)+ret30y(k*12-1,1)+ret30y(k*12,1); 

lrirx(k,1)=rf_t1(k*12-11,1)+rf_t1(k*12-10,1)+rf_t1(k*12-9,1)+rf_t1(k*12-8,1)+rf_t1(k*12-7,1)+rf_t1(k*12-6,1)+rf_t1(k*12-5,1)+rf_t1(k*12-4,1)+rf_t1(k*12-3,1)+rf_t1(k*12-2,1)+rf_t1(k*12-1,1)+rf_t1(k*12,1); 

end; 


  
data=[1200*mean(rf_t1) 1200*mean(y3m) 1200*mean(y6m) 1200*mean(y1y) 1200*mean(y2y) 1200*mean(y5y) 1200*mean(y10y) 1200*mean(y20y) 1200*mean(y30y);...
    0 1200*mean(y3m-rf_t1) 1200*mean(y6m-rf_t1) 1200*mean(y1y-rf_t1) 1200*mean(y2y-rf_t1) 1200*mean(y5y-rf_t1) 1200*mean(y10y-rf_t1) 1200*mean(y20y-rf_t1) 1200*mean(y30y-rf_t1);...
    0 100*(mean(r3m-lrirx)+.5*std(r3m-lrirx)^2) 100*(mean(r6m-lrirx)+.5*std(r6m-lrirx)^2) 100*(mean(r1y-lrirx)+.5*std(r1y-lrirx)^2) 100*(mean(r2y-lrirx)+.5*std(r2y-lrirx)^2) ...
    100*(mean(r5y-lrirx)+.5*std(r5y-lrirx)^2) 100*(mean(r10y-lrirx)+.5*std(r10y-lrirx)^2) 100*(mean(r20y-lrirx)+.5*std(r20y-lrirx)^2) 100*(mean(r30y-lrirx)+.5*std(r30y-lrirx)^2);...
    0 100*std(r3m-lrirx) 100*std(r6m-lrirx) 100*std(r1y-lrirx) 100*std(r2y-lrirx) 100*std(r5y-lrirx) 100*std(r10y-lrirx) 100*std(r20y-lrirx) 100*std(r30y-lrirx)];







