
function [data ind numcens]=BY_generate_y(obs)

months=obs+120+14; 
ind=0; 
numcens=0; 

gamm=10; 
psi=1.5; 
delta=.998;
mu=.0015; 
rho=.979; 
psi_e=.044; 
mud=.0015; 
phi=3; 
psi_d=4.5; 
pi_j=0; 
sig=.0078; 
v_1=.987; 
sig_w=.0000023; 


sig_2=sig^2;
theta=(1-gamm)/(1-1/psi); 

zb=6; 
i=0; 

while i<=1000; 
k_1= (exp(zb)/(1+exp(zb))); 
k_0= (log(1+exp(zb))-zb*exp(zb)/(1+exp(zb)));
A_1=((1-1/psi)/(1-k_1*rho));
A_2=(0.5*((theta-theta/psi)^2+(theta*A_1*k_1*psi_e)^2)/(theta*(1-k_1*v_1)));
A_0=(log(delta)+k_0+mu*(1-1/psi)+k_1*A_2*sig_2*(1-v_1)+0.5*theta*((k_1*A_2*sig_w)^2))/(1-k_1);
zb=A_0+A_2*sig_2; 
i=i+1; 
end; 

lamda_mn=gamm;
lamda_me=(1-theta)*k_1*A_1*psi_e;
lamda_mw=(1-theta)*A_2*k_1;
B=k_1*A_1*psi_e; 

zbm=6; 
i=0;
 
while i<=1000; 
k_1m= (exp(zbm)/(1+exp(zbm))); 
k_0m= (log(1+exp(zbm))-zbm*exp(zbm)/(1+exp(zbm)));
A_1m=(phi-1/psi)/(1-k_1m*rho);
beta_me=k_1m*A_1m*psi_e;
H_m=(pi_j-lamda_mn)^2+(-lamda_me+beta_me)^2+psi_d^2;
A_2m=((1-theta)*A_2*(1-k_1*v_1)+0.5*H_m)/(1-k_1m*v_1);
A_0m=(theta*log(delta)-mu*theta/psi+(theta-1)*(k_0+k_1*(A_0+A_2*(1-v_1)*sig_2)-A_0+mu)+k_0m+k_1m*A_2m*(1-v_1)*sig_2+mud+.5*(sig_w^2)*(((theta-1)*A_2*k_1+k_1m*A_2m)^2))/(1-k_1m); 
zbm=A_0m+A_2m*sig_2; 
i=i+1; 
end; 

A_1f=1/psi; 
A_0f=-log(delta)+(1/psi)*mu+((1-theta)/theta)*(k_1*A_2*lamda_mw*(sig_w^2)-.5*((A_2*k_1)^2)*(sig_w^2))-(1/(2*theta))*(lamda_mw^2)*(sig_w^2); 
A_2f=((1-theta)/theta)*(lamda_mn+lamda_me*B-.5*(1+B^2))-(1/(2*theta))*(lamda_mn^2+lamda_me^2);  



sigma_2t=zeros(months,1);
x_t1=zeros(months,1);
cons=ones(months,1); 
g_t1=zeros(months,1);
div=ones(months,1); 
g_t1d=zeros(months,1);
rm_t1=zeros(months,1);
rf_t1=zeros(months,1);
zt=zeros(months,1);
ztm=zeros(months,1);
epremium=zeros(months,1); 

wt1=randn(months, 1);
et1=randn(months, 1);
ut1=randn(months, 1);
nt1=randn(months, 1);


sigma_2t(1,1)=sig_2;
for i=2:months;
sigma_2t(i,1)=sig_2+v_1*(sigma_2t(i-1,1)-sig_2)+sig_w*wt1(i,1);
if sigma_2t(i,1)<=0; 
sigma_2t(i,1)=.0000000000001; 
if i>=123; 
ind=1; 
numcens=numcens+1; 
end; ; 
end; 
x_t1(i,1)=rho*x_t1(i-1,1)+psi_e*((sigma_2t(i-1,1))^.5)*et1(i,1);
end;

for i=2:months;
zt(i,1)=A_0+A_1*x_t1(i,1)+A_2*sigma_2t(i,1);
ztm(i,1)=A_0m+A_1m*x_t1(i,1)+A_2m*sigma_2t(i,1);
end; 

for i=3:months;
g_t1(i,1)=mu+x_t1(i-1,1)+((sigma_2t(i-1,1))^.5)*nt1(i,1);
g_t1d(i,1)=mud+phi*x_t1(i-1,1)+psi_d*((sigma_2t(i-1,1))^.5)*ut1(i,1)+pi_j*((sigma_2t(i-1,1))^.5)*nt1(i,1);
rm_t1(i,1)=k_0m+k_1m*ztm(i,1)-ztm(i-1,1)+g_t1d(i,1);    

cons(i,1)=cons(i-1,1)+g_t1(i,1); 
div(i,1)=div(i-1,1)+g_t1d(i,1); 

rf_t1(i,1)=A_0f+A_1f*x_t1(i-1,1)+A_2f*sigma_2t(i-1,1); 

epremium(i,1)=rm_t1(i,1)-rf_t1(i,1); 

end; 

cons=cons(123:months,1);
div=div(123:months,1);
rf_t1=rf_t1(123:months,1);
rm_t1=rm_t1(123:months,1);
ztm=ztm(123:months,1);
epremium=epremium(123:months,1);  

cg=zeros((months-134)/12,1); 
dg=zeros((months-134)/12,1);
pd=zeros((months-134)/12,1); 
ir=zeros((months-134)/12,1);
ret=zeros((months-134)/12,1);
er=zeros((months-134)/12,1);

for k=1:(months-134)/12; 

cg(k,1)=log((exp(cons(k*12+12,1)-cons(k*12-11,1))+exp(cons(k*12+11,1)-cons(k*12-11,1))+exp(cons(k*12+10,1)-cons(k*12-11,1))+exp(cons(k*12+9,1)-cons(k*12-11,1))+...
    exp(cons(k*12+8,1)-cons(k*12-11,1))+exp(cons(k*12+7,1)-cons(k*12-11,1))+exp(cons(k*12+6,1)-cons(k*12-11,1))+exp(cons(k*12+5,1)-cons(k*12-11,1))+...
    exp(cons(k*12+4,1)-cons(k*12-11,1))+exp(cons(k*12+3,1)-cons(k*12-11,1))+exp(cons(k*12+2,1)-cons(k*12-11,1))+exp(cons(k*12+1,1)-cons(k*12-11,1)))/(...
    exp(cons(k*12,1)-cons(k*12-11,1))+exp(cons(k*12-1,1)-cons(k*12-11,1))+exp(cons(k*12-2,1)-cons(k*12-11,1))+exp(cons(k*12-3,1)-cons(k*12-11,1))+...
    exp(cons(k*12-4,1)-cons(k*12-11,1))+exp(cons(k*12-5,1)-cons(k*12-11,1))+exp(cons(k*12-6,1)-cons(k*12-11,1))+exp(cons(k*12-7,1)-cons(k*12-11,1))+...
    exp(cons(k*12-8,1)-cons(k*12-11,1))+exp(cons(k*12-9,1)-cons(k*12-11,1))+exp(cons(k*12-10,1)-cons(k*12-11,1))+exp(cons(k*12-11,1)-cons(k*12-11,1)))); 

dg(k,1)=log((exp(div(k*12+12,1)-div(k*12-11,1))+exp(div(k*12+11,1)-div(k*12-11,1))+exp(div(k*12+10,1)-div(k*12-11,1))+exp(div(k*12+9,1)-div(k*12-11,1))+...
    exp(div(k*12+8,1)-div(k*12-11,1))+exp(div(k*12+7,1)-div(k*12-11,1))+exp(div(k*12+6,1)-div(k*12-11,1))+exp(div(k*12+5,1)-div(k*12-11,1))+...
    exp(div(k*12+4,1)-div(k*12-11,1))+exp(div(k*12+3,1)-div(k*12-11,1))+exp(div(k*12+2,1)-div(k*12-11,1))+exp(div(k*12+1,1)-div(k*12-11,1)))/(...
    exp(div(k*12,1)-div(k*12-11,1))+exp(div(k*12-1,1)-div(k*12-11,1))+exp(div(k*12-2,1)-div(k*12-11,1))+exp(div(k*12-3,1)-div(k*12-11,1))+...
    exp(div(k*12-4,1)-div(k*12-11,1))+exp(div(k*12-5,1)-div(k*12-11,1))+exp(div(k*12-6,1)-div(k*12-11,1))+exp(div(k*12-7,1)-div(k*12-11,1))+...
    exp(div(k*12-8,1)-div(k*12-11,1))+exp(div(k*12-9,1)-div(k*12-11,1))+exp(div(k*12-10,1)-div(k*12-11,1))+exp(div(k*12-11,1)-div(k*12-11,1)))); 

pd(k,1)=log(exp(ztm(k*12+12,1))*exp(div(k*12+12,1)-div(k*12-11,1))/(exp(div(k*12+12,1)-div(k*12-11,1))+exp(div(k*12+11,1)-div(k*12-11,1))+...
    exp(div(k*12+10,1)-div(k*12-11,1))+exp(div(k*12+9,1)-div(k*12-11,1))+...
    exp(div(k*12+8,1)-div(k*12-11,1))+exp(div(k*12+7,1)-div(k*12-11,1))+exp(div(k*12+6,1)-div(k*12-11,1))+exp(div(k*12+5,1)-div(k*12-11,1))+...
    exp(div(k*12+4,1)-div(k*12-11,1))+exp(div(k*12+3,1)-div(k*12-11,1))+exp(div(k*12+2,1)-div(k*12-11,1))+exp(div(k*12+1,1)-div(k*12-11,1))));


ir(k,1)=rf_t1(k*12+12,1)+rf_t1(k*12+11,1)+rf_t1(k*12+10,1)+rf_t1(k*12+9,1)+rf_t1(k*12+8,1)+rf_t1(k*12+7,1)+rf_t1(k*12+6,1)+rf_t1(k*12+5,1)+rf_t1(k*12+4,1)+rf_t1(k*12+3,1)...
    +rf_t1(k*12+2,1)+rf_t1(k*12+1,1); 

ret(k,1)=rm_t1(k*12+12,1)+rm_t1(k*12+11,1)+rm_t1(k*12+10,1)+rm_t1(k*12+9,1)+rm_t1(k*12+8,1)+rm_t1(k*12+7,1)+rm_t1(k*12+6,1)+rm_t1(k*12+5,1)+...
    rm_t1(k*12+4,1)+rm_t1(k*12+3,1)+rm_t1(k*12+2,1)+rm_t1(k*12+1,1); 

er(k,1)=epremium(k*12+12,1)+epremium(k*12+11,1)+epremium(k*12+10,1)+epremium(k*12+9,1)+epremium(k*12+8,1)+epremium(k*12+7,1)+epremium(k*12+6,1)+epremium(k*12+5,1)+...
    epremium(k*12+4,1)+epremium(k*12+3,1)+epremium(k*12+2,1)+epremium(k*12+1,1); 
end; 
    
data=[cg dg pd ret ir er]; 







