function [beta1 beta3 beta5 rsquared1 rsquared3 rsquared5]=lag_reg_q(cons,pd)

[N K]=size(cons); 

beta1=zeros(33,1); 
beta3=zeros(33,1); 
beta5=zeros(33,1); 
rsquared1=zeros(33,1); 
rsquared3=zeros(33,1); 
rsquared5=zeros(33,1); 

x=ones(N-52,2); 
x(:,2)=pd(17:N-36); 

cons1=aggregate_full(cons,4); 
cons3=aggregate_full(cons,12); 
cons5=aggregate_full(cons,20); 

for i=-16:16; 
y=cons1(17+i:N-36+i); 
b=inv(x'*x)*x'*y; 
r2=var(x*b)/var(y); 

beta1(i+17)=b(2); 
rsquared1(i+17)=r2; 

y=cons3(17+i:N-36+i); 
b=inv(x'*x)*x'*y; 
r2=var(x*b)/var(y); 

beta3(i+17)=b(2); 
rsquared3(i+17)=r2; 

y=cons5(17+i:N-36+i); 
b=inv(x'*x)*x'*y; 
r2=var(x*b)/var(y); 

beta5(i+17)=b(2); 
rsquared5(i+17)=r2; 


end; 
